libevdev-tweak-device(1)

NAME
libevdev-tweak-device - evdev device configuration tool

SYNOPSIS
libevdev-tweak-device --abs <axis> [--min <min>] [--max <max>] [--res <res>] [--fuzz <fuzz>] [--flat <flat>] <device>

libevdev-tweak-device --led <led> --on|--off <device>

DESCRIPTION
libevdev-tweak-device allows setting absolute axis parameters and controlling LEDs.

OPTIONS
The first form of the command controls axis parameters. The options are:

--abs <axis>
    specifies the axis to tweak; one of ABS_X, ABS_Y, ABS_Z, ABS_RX, ABS_RY, ABS_RZ, ABS_THROTTLE, ABS_RUDDER, ABS_WHEEL, ABS_GAS, ABS_BRAKE, ABS_HAT0X, ABS_HAT0Y, ABS_HAT1X, ABS_HAT1Y, ABS_HAT2X, ABS_HAT2Y, ABS_HAT3X, ABS_HAT3Y, ABS_PRESSURE, ABS_DISTANCE, ABS_TILT_X, ABS_TILT_Y, ABS_TOOL_WIDTH, ABS_VOLUME depending on the device's capabilities.

--min <min>
    specifies the minimum for the axis.

--max <max>
    specifies the maximum for the axis.

--res <resolution>
    specifies the resolution for the axis.

--fuzz <fuzz>
    specifies the fuzz for the axis.

--flat <flat>
    specifies the flat for the axis.

The second form of the command controls LEDs. The options are:

--led <led>
    specifies the LED to control; one of LED_NUML, LED_CAPSL, LED_SCROLLL, LED_COMPOSE, LED_KANA, LED_SLEEP, LED_SUSPEND, LED_MUTE, LED_MISC, LED_MAIL, LED_CHARGING depending on the device's capabilities.

--on
    switches the LED on.

--off
    switches the LED off.

AUTHORS
libevdev-tweak-device was written by Peter Hutterer for Red Hat, Inc. This manual page was adapted from the program usage information by Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but may be used by others). It was last modified for libevdev version 1.4.